body { 
    font-family: monospace; 
    background: tomato;
    color: white;
    font-size: 16px;
}

.contenedor {
    margin: auto;
    display: table;
}

h1 span {
    position:absolute;
    right:0;
    width:0;
    background: tomato;
    border-left: 1px solid #000;
    animation: escribir 9s steps(30);
    
}

@keyframes escribir {
    from {width: 84%}

    to {width:16% }
}

h2 span {
    position:absolute;
    right:0;
    width:0;
    background: tomato;
    border-left: 1px solid #000;
    animation: verde 3s steps(30);
    animation-delay: 3s;
}

@keyframes verde {
    from {width: 84%}

    to {width:66% }
}
